ClassRestriction (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.align.impl.edoal
Class ClassRestriction

    java.lang.Object
      fr.inrialpes.exmo.align.impl.edoal.Expression
          fr.inrialpes.exmo.align.impl.edoal.ClassExpression
              fr.inrialpes.exmo.align.impl.edoal.ClassRestriction

All Implemented Interfaces:
  Cloneable, Visitable

Direct Known Subclasses:
  ClassDomainRestriction, ClassOccurenceRestriction, ClassTypeRestriction, ClassValueRestriction

    public abstract class ClassRestriction

extends ClassExpression

Superclass for all ClassRestrictions.

To successfully subclass this class the `clone` and `equals` methods must be overwritten. And if new fields were introduced, the `hashCode` and `toString` methods, too.

Created on 24-Mar-2005 Committed by $Author: poettler_ric $

$Id: ClassRestriction.java 1311 2010-03-07 22:51:10Z euzenat $

Version:
  $Revision: 1.6 $ $Date: 2010-03-07 20:40:05 +0100 (Sun, 07 Mar 2010) $
Author:
  Francois Scharffe, Adrian Mocan, Richard Pöttler

Field Summary
`protected PathExpression` | `constrainedPath` The attribute on which the restriction should be applied.

Fields inherited from class fr.inrialpes.exmo.align.impl.edoal.Expression
`variable`

Constructor Summary
`ClassRestriction(PathExpression att)`

Method Summary
`PathExpression` | `getRestrictionPath()`
`void` | `setRestrictionPath(PathExpression att)`

Methods inherited from class fr.inrialpes.exmo.align.impl.edoal.Expression
`accept, accept, getVariable, setVariable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### constrainedPath

    protected PathExpression constrainedPath

  The attribute on which the restriction should be applied.

Constructor Detail

### ClassRestriction

    public ClassRestriction(PathExpression att)

Method Detail

### getRestrictionPath

    public PathExpression getRestrictionPath()

### setRestrictionPath

    public void setRestrictionPath(PathExpression att)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010